clear jnt;
load jnt;
clear des;
load des;
clear cur;
load cur;

m = primus_fast4_mex;

N = size(jnt,1);

figure(1);clf;

load plotlims;
    

for i=1:50:N
    state = zeros(29+30,1);
    state(1:30) = jnt(i,2:end)'; 
    cla;
    
    
    primus_draw(m,state);
    
    plot3(des(i,2:3:end),des(i,3:3:end),des(i,4:3:end),'ro','LineWidth',4);
    plot3(cur(i,2:3:end),cur(i,3:3:end),cur(i,4:3:end),'bo','LineWidth',4);
    axis equal;  
    

    xlim([xmin,xmax]);
    ylim([ymin,ymax]);
    zlim([zmin,zmax]);    
    
    xx = xlim;
    yy = ylim;
    zz = zlim;
    
    if(i==1)
       xmin = xx(1);
       xmax = xx(2);
       ymin = yy(1);
       ymax = yy(2);
       zmin = zz(1);
       zmax = zz(2);
    end
    
    if(xx(1)<xmin) 
        xmin = xx(1);
    end
    if(yy(1)<ymin) 
        ymin = yy(1);
    end
    if(zz(1)<zmin) 
        zmin = zz(1);
    end
    if(xx(2)>xmax) 
        xmax = xx(2);
    end    
    if(yy(2)>ymax) 
        ymax = yy(2);
    end    
    if(zz(2)>zmax) 
        zmax = zz(2);
    end    
    
    view(41,26)
        
%     saveas(gcf,sprintf('images/mocap%04i.png',i));
    
    pause(0.01);  
    
    
end

save('plotlims','xmin','xmax','ymin','ymax','zmin','zmax');